// src/utils/isReactNodeWithChildren.tsx
import { isValidElement } from "react";
function isReactNodeWithChildren(node) {
  return Boolean(
    node && isValidElement(node) && typeof node.props === "object" && node.props !== null && "children" in node.props && node.props.children !== void 0
  );
}

export {
  isReactNodeWithChildren
};
